Skip to content

View tenant branding

Request to view the branding configuration of a tenant:

GET /api/v2/tenants/<tenant-id>/branding.json

Example of response:

{
    "branding": {
        "enabled": true,
        "color": "#123456",
        "color2": "",
        "custom_css": "",
        "login_page": {
            "logo_type": "logo",
            "logo_text": "",
            "logo": {
                "filename": "logo.png",
                "updated_at": "2026-07-15T10:00:00+00:00",
                "url": "/api/v2/tenants/209e8a10-e250-4824-8567-43f48e07a060/branding/logo/login_page"
            }
        },
        "header_menu": {
            "logo_type": "default",
            "logo_text": "",
            "logo": null
        }
    }
}

Logo images are never embedded into the JSON document. The read-only logo attribute of each location carries the image metadata and a download URL, or null when no image is stored. To download the image, see Download tenant logo.

See Branding object fields for a description of all attributes.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK Branding configuration is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view branding
404 Not Found Tenant with such ID does not exist, or it is not visible to the API user (a tenant administrator can view their own tenant only)